About HVAC control logic diagrams

Show me an example

Use the HVAC Control Logic Diagram template to create single line and double line HVAC control logic schematics with shapes that represent ducts, sensors, and mechanical equipment.

The sensor and equipment shapes are designed to be placed on top of duct shapes—their alignment boxes match the width of the ducts so that they snap into place automatically.

Create an HVAC control logic diagram


Create an HVAC control logic diagram

Show me an example

  1. On the File menu, point to New, point to Building Plan, and then click HVAC Control Logic Diagram.

By default, this solution opens an unscaled drawing page in landscape orientation Wide page. You can change page, ruler, and grid settings at any time.

  2. Position guides on the page to indicate the duct framework.

Click to show or hide information. How?

To place a guide, drag a guide from the horizontal or vertical ruler onto the drawing page, and then release the mouse button.

Note Guides help you position ducts and other control equipment shapes. If you revise your drawing later, guides make it easy to move a duct and its controls as a unit.

  3. Add duct shapes.

Click to show or hide information. How?

  1. From the HVAC Controls Equipment stencil, drag duct shapes onto the drawing page.
  2. To create a single line ductwork drawing, right-click a duct shape and click Single Line Ducts. You can right-click again to switch back to double line ducts.
  3. Glue horizontal duct shapes to horizontal guides and vertical ducts to vertical guides. The endpoints of the duct shape turn red to indicate that the shape is glued properly to the guide.

Click to show or hide information. Tip

In a double line drawing, position a duct perpendicular to another by placing its endpoint in the center of the existing duct shape. If an opening does not appear between the ducts, select the adjoining duct. On the Shape menu, point to Order, and then click Bring to Front.

  4. Resize or rotate a duct shape by dragging one of its endpoints.

Click to show or hide information. Tip

Press SHIFT while you drag an endpoint to keep a duct in a straight line or to constrain its rotation.

  4. Add equipment shapes.

Click to show or hide information. How?

  1. From the HVAC Controls Equipment stencil, drag equipment shapes onto the drawing page. Position them on top of the duct shapes.

Click to show or hide information. Tip

When you drag an equipment shape on top of a duct, it also glues to the guide. To reposition the duct and all of the equipment within it, simply drag the guide.

  2. You can configure some equipment shapes by right-clicking them and then clicking Properties.
  5. Add sensor shapes.

Click to show or hide information. How?

  1. From the HVAC Controls stencil, drag sensor shapes onto the drawing page.
  2. Place these shapes on top of the duct shapes; their alignment boxes match the width of the ducts so that they snap into place automatically.

Click to show or hide information. Tip

When you drag a sensor shape on top of a duct, it also glues to the guide. To reposition the duct and all of the equipment within it, simply drag the guide.

  3. To configure a sensor shape, right-click it, and then click Properties.
  6. Label your diagram.

Click to show or hide information. How?

To label a shape, select the shape and then type. Reposition a label by dragging the label's control handle [image].

To add a note to a wire, from the HVAC Controls stencil, drag the Wire Note shape onto a wire. To replace existing text, select the wire note and then type.

To add annotations to your diagram, drag shapes from the Annotations stencil onto the drawing page.


HVAC control logic diagram example

HVAC control logic schematic showing ducts, sensors, and mechanical equipment


Add ductwork to an HVAC Control Logic diagram

  1. Position guides on the page to indicate the duct framework.

Click to show or hide information. How?

To place a guide, drag a guide from the horizontal or vertical ruler onto the drawing page, and then release the mouse button.

Note Guides help you position ducts and other control equipment shapes. If you revise your drawing later, guides make it easy to move a duct and its controls as a unit.

  2. From the HVAC Controls Equipment stencil, drag duct shapes onto the drawing page.

Click to show or hide information. Tip

To create a single line ductwork drawing, right-click a duct shape and click Single Line Ducts. You can right-click again to switch back to double line ducts.

  3. Glue horizontal duct shapes to horizontal guides and vertical ducts to vertical guides. The endpoints of the duct shape turn red to indicate that the shape is glued properly to the guide.

Click to show or hide information. Tip

In a double line drawing, position one duct perpendicular to another by placing its endpoint in the center of the existing duct shape. If an opening does not appear between the ducts, select the adjoining duct. On the Shape menu, point to Order, and then click Bring to Front.

  4. Resize or rotate a duct shape by dragging one of its endpoints. Press SHIFT while you drag an endpoint to keep a duct in a straight line or to constrain its rotation.


Add equipment to an HVAC Control Logic diagram

  1. From the HVAC Controls Equipment stencil, drag equipment shapes onto the drawing page.
  2. Position them on top of the duct shapes.

When you drag an equipment shape on top of a duct, it also glues to the guide. To reposition the duct and all of the equipment within it, simply drag the guide.

  3. To set properties for equipment shapes, right-click the shape, and then click Properties.


Add sensors to an HVAC Control Logic diagram

  1. From the HVAC Controls stencil, drag sensor shapes onto the drawing page.
  2. Place the sensor shapes on top of the duct shapes; their alignment boxes match the width of the ducts so that they snap into place automatically.

When you drag a sensor shape on top of a duct, it also glues to the guide. To reposition the duct and all of the equipment within it, simply drag the guide.

  3. To configure a sensor shape, right-click it, and then click Properties.

For example, you can change many sensor shapes to controller shapes.